Codes
WiiRd forum
June 21, 2024, 09:19:18 PM *
Welcome, Guest. Please login or register.

Login with username, password and session length
News: Welcome on the new server

Update 4.3 - do NOT update!
Gecko 1.9.3.1
Should I get a USB Gecko, I wanna hack?
How do I use my USB Gecko
Where can I get WiiRd?
 
   Home   CODE DATABASE GAMEHACKING Help Search Login Register  
Pages: [1] 2 3 ... 6
  Print  
Author Topic: Homebrew Channel beta9  (Read 26147 times)
Link
that dev there
Moderator
Hero Member
*****

Karma: 76
Posts: 1254

I hate everyone in this community. Except for you!


WWW
« on: October 26, 2008, 07:09:31 AM »

Okay.. it's done.. Team Twiizers released a new Homebrew channel..

The new feature list is kinda cool:
  • Installer / updater now works with the October 23 update
  • SDHC support
  • REALLY fixed the memcard bug
  • Installer now picks newest sane IOS, fixes some beta8 regressions
  • Added a reload button (for SD card changes)
  • Return to system menu skips warning
  • Fixed some graphical glitches
  • Saner XML load code
  • Many fixes to underlying stuff in the newer libogc

So.. Wii version 3.3b is not a problem anymore.. your HBC will auto-update if your Wii is online.

Please note: devkitpro creates malformed elf files - you should convert the ELF files of it to DOL.
Therefore: what you can do:

--> Go to usbgecko.com, download Gecko OS.. and copy the HBC folder in your apps directory as usual. Then from the DOL folder take main.dol and also put it into apps\GeckoOS___\ - delete boot.elf there and rename main.dol to boot.dol .

I also have made a quick package of Gecko OS 1.07b: http://wiird.l0nk.org/gos-hbc-dol.zip

To fix other ELF files - download DevKitPro please and run the following command on the elf file:
powerpc-gekko-objcopy -O binary boot.elf boot.dol

Big kudos to bushing and marcan... proves again! Homebrew will not appear by a "mere" shop update Smiley
Logged

111
Moderator
Sr. Member
*****

Karma: 33
Posts: 438


« Reply #1 on: October 26, 2008, 07:19:27 AM »

Yep, sound like some great updates have been added to this version of the Homebrew Channel!  Also, thanks for the updated GeckoOS package!
Logged
pichu04
Jr. Member
**

Karma: 10
Posts: 52


« Reply #2 on: October 26, 2008, 08:26:33 AM »

heyyyyyyyyyy its workin!!!!!!!!!! thanks guys i appereciate it.
Logged
hetoan2
Guest
« Reply #3 on: October 26, 2008, 10:29:21 AM »

thank god for you hackers Wink
Logged
Unknown0
Newbie
*

Karma: 10
Posts: 39


« Reply #4 on: October 26, 2008, 03:18:02 PM »

So all of your apps you have to change to .dol files?
Logged
Link
that dev there
Moderator
Hero Member
*****

Karma: 76
Posts: 1254

I hate everyone in this community. Except for you!


WWW
« Reply #5 on: October 26, 2008, 03:53:51 PM »

All of my apps? The apps I support are only Gecko OS 1.07b - actually if you wish I can also do Gecko OS 1.06f - if you wish Ocarina.. do it yourself.. Ocarina is unsupported!
Logged

Mush123
Jr. Member
**

Karma: 2
Posts: 81


« Reply #6 on: October 26, 2008, 04:45:11 PM »

I heard that you can't install BootMii with the latest firmware, is this true?
Logged

Link
that dev there
Moderator
Hero Member
*****

Karma: 76
Posts: 1254

I hate everyone in this community. Except for you!


WWW
« Reply #7 on: October 26, 2008, 04:55:29 PM »

You can't install BootMii because it isn't out yet ^^

BootMii is by team Twiizers, they succeeded installing the HBC on 3.3b so I guess once BootMii is out and no fix by Nintendo.. it should work!
Logged

AAGAJA
Newbie
*

Karma: 0
Posts: 2


« Reply #8 on: October 26, 2008, 04:57:07 PM »

why doesn't Ocarina work anymore?
I heard it's because it's a boot.elf file, and needs to be a boot.dol file.
Anybody know where I can get an updated Ocarina boot file?

If not, how can I rollback the update / revert to beta8?
Logged
II ARROWS
Jr. Member
**

Karma: 10
Posts: 72

II_ARROWS@hotmail.it
« Reply #9 on: October 26, 2008, 05:07:23 PM »

Anybody know where I can get an updated Ocarina boot file?
Why Ocarina is discontinue - please read!

Use GeckoOS, is in the first post.
Logged

pichu04
Jr. Member
**

Karma: 10
Posts: 52


« Reply #10 on: October 26, 2008, 05:18:39 PM »

You really dont need ocarina to be honest cause its already on gecko os.
Logged
Mush123
Jr. Member
**

Karma: 2
Posts: 81


« Reply #11 on: October 26, 2008, 05:37:45 PM »

You can't install BootMii because it isn't out yet ^^

BootMii is by team Twiizers, they succeeded installing the HBC on 3.3b so I guess once BootMii is out and no fix by Nintendo.. it should work!
Oh i saw on hackmii it said you can't install BootMii lol, i'm still not updating for now.
I'm installing the Wii Shop and IOS51 now
I'll update once i find out some more info on it.

Does the HBC auto-update?
because i have a working connection but i hasn't updated yet  huh
Logged

Link
that dev there
Moderator
Hero Member
*****

Karma: 76
Posts: 1254

I hate everyone in this community. Except for you!


WWW
« Reply #12 on: October 26, 2008, 05:48:07 PM »

You can't install BootMii because it isn't out yet ^^

BootMii is by team Twiizers, they succeeded installing the HBC on 3.3b so I guess once BootMii is out and no fix by Nintendo.. it should work!
Oh i saw on hackmii it said you can't install BootMii lol, i'm still not updating for now.
I'm installing the Wii Shop and IOS51 now
I'll update once i find out some more info on it.

Does the HBC auto-update?
because i have a working connection but i hasn't updated yet  huh

HackMii says the Bootmii-Core installer will be using the same installer.. as far as I can read things there, BootMii isn't even out yet. marcan mentioned even in the comments they are still developing on it.. wiibrew says there's not a release date. So where do you get your info about BootMii? Was it leaked?
Logged

Mush123
Jr. Member
**

Karma: 2
Posts: 81


« Reply #13 on: October 26, 2008, 06:01:46 PM »

You can't install BootMii because it isn't out yet ^^

BootMii is by team Twiizers, they succeeded installing the HBC on 3.3b so I guess once BootMii is out and no fix by Nintendo.. it should work!
Oh i saw on hackmii it said you can't install BootMii lol, i'm still not updating for now.
I'm installing the Wii Shop and IOS51 now
I'll update once i find out some more info on it.

Does the HBC auto-update?
because i have a working connection but i hasn't updated yet  huh

HackMii says the Bootmii-Core installer will be using the same installer.. as far as I can read things there, BootMii isn't even out yet. marcan mentioned even in the comments they are still developing on it.. wiibrew says there's not a release date. So where do you get your info about BootMii? Was it leaked?

Hold on i'll find the source
http://wiibrew.org/wiki/23_Oct_Updates
It says there BootMii still works if it was installed before updating.
But i too thought that BootMii wasn't released  huh
« Last Edit: October 26, 2008, 06:04:16 PM by Mush123 » Logged

Link
that dev there
Moderator
Hero Member
*****

Karma: 76
Posts: 1254

I hate everyone in this community. Except for you!


WWW
« Reply #14 on: October 26, 2008, 06:05:46 PM »

Wiibrew is only just a Wiki.. so maybe someone leaked it.. or someone thought "Oh it also requires an installation to /dev/flash". And typed it there.. fact is.. OFFICIAL releases of BootMii do not exist Sad
Logged

Pages: [1] 2 3 ... 6
  Print  
 
Jump to:  

Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2013, Simple Machines Valid XHTML 1.0! Valid CSS!